Subject: bug#1061: pop-up-frames does not work on a tty

From: martin rudalics <[email-masked]>
Date: Wed, 01 Oct 2008 20:20:26 +0200

> This might fix the *Help* case, but other functions are not
 > working either:
 > C-x C-b

`list-buffers' should use `pop-to-buffer' in the first place.

 > M-x grep

Sorry, I don't understand how this is supposed to work.

You can observe similar behavior with emacs -Q and `pop-up-frames'
non-nil: Type C-h C-h b and watch Emacs iconify the *Help* buffer.

Often `display-buffer' seem to DTRT because most window managers
automatically raise a new frame behind Emacs' back.  Hence working on a
tty seems one of the rare cases where the fact that `display-buffer'
does not raise a frame really bites.

martin